| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::reg::MapperPyramid Class Reference
Image Registration

`#include <opencv2/reg/mapperpyramid.hpp>`

Inheritance diagram for cv::reg::MapperPyramid:

## Public Member Functions
| MapperPyramid (Ptr< Mapper > baseMapper)
virtual cv::Ptr< Map > | calculate (InputArray img1, InputArray img2, cv::Ptr< Map > init=cv::Ptr< Map >()) const CV_OVERRIDE
cv::Ptr< Map > | getMap () const CV_OVERRIDE
Public Member Functions inherited from cv::reg::Mapper
virtual | ~Mapper (void)

## Public Attributes
int | numIterPerScale_
int | numLev_

## Additional Inherited Members
Protected Member Functions inherited from cv::reg::Mapper
void | gradient (const cv::Mat &img1, const cv::Mat &img2, cv::Mat &Ix, cv::Mat &Iy, cv::Mat &It) const
void | grid (const Mat &img, Mat &grid_r, Mat &grid_c) const
cv::Mat | sqr (const cv::Mat &mat1) const

## Detailed Description

Calculates a map using a gaussian pyramid

## Constructor & Destructor Documentation

## § MapperPyramid()

cv::reg::MapperPyramid::MapperPyramid | ( | Ptr< Mapper > | baseMapper | ) |

Python:
| <reg_MapperPyramid object> | = | cv.reg_MapperPyramid( | baseMapper | )

## Member Function Documentation

## § calculate()

virtual cv::Ptr<Map> cv::reg::MapperPyramid::calculate | ( | InputArray | img1,
|  | InputArray | img2,
|  | cv::Ptr< Map > | init = `cv::Ptr< Map >()`
| ) |  | const
| virtual

Python:
| retval | = | cv.reg_MapperPyramid.calculate( | img1, img2[, init] | )

Implements cv::reg::Mapper.

## § getMap()

cv::Ptr<Map> cv::reg::MapperPyramid::getMap | ( |  | ) | const
| virtual

Python:
| retval | = | cv.reg_MapperPyramid.getMap( |  | )

Implements cv::reg::Mapper.

## Member Data Documentation

## § numIterPerScale_

int cv::reg::MapperPyramid::numIterPerScale_

Number of iterations at a given scale of the pyramid

## § numLev_

int cv::reg::MapperPyramid::numLev_

Number of levels of the pyramid

The documentation for this class was generated from the following file:

- opencv2/reg/mapperpyramid.hpp